package com.icomsys.main_vm.biz.rcp.conversation.vo.intent;

import lombok.*;

@Getter
@Setter
@NoArgsConstructor
public class ExcelIntentListVo {


    private Long seq;
    private String intentName;
    private String codeName;
    private String exampleText;

    @Builder
    public ExcelIntentListVo(Long seq, String intentName, String exampleText, String codeName) {
        this.seq = seq;
        this.intentName = intentName;
        this.exampleText = exampleText;
        this.codeName = codeName;
    }

    public ExcelIntentListVoEx toEx(String et) {
        return ExcelIntentListVoEx.builder()
                .intentName(this.intentName)
                .codeName(this.codeName)
                .exampleText(et)
                .build();
    }

}
